.TH DOS2MAC 1 "20 September 1997"
.\"=====================================================================
.SH NAME
dos2mac \- convert text file(s) from DOS format to Apple Macintosh format
.\"=====================================================================
.SH SYNOPSIS
.B dos2mac
[
.B \-z
]
.I filelist
.\"=====================================================================
.SH DESCRIPTION
.IX dos2mac "" "\fLdos2mac\fP \(em convert text file(s) from DOS format to \
Apple Macintosh format"
.LP
.B dos2mac
replaces carriage-return/newline pairs by carriage-returns in DOS format text
files to conform to Apple Macintosh requirements.  Existing isolated newlines are
left intact, so that no changes are made to a file which is already in
Apple Macintosh format.
.LP
If the
.B \-z
option is specified, then a Ctl-Z character in an input file is
treated as an end-of-file: that character, and all following ones in
that file, are discarded.  The option may be given following the
command name anywhere on the command line, but applies only to files
that follow it.
.LP
Access and modification time stamps of the files are preserved.  The
SunOS \fIunix2dos\fP and \fIdos2unix\fP utilities do \fInot\fP
preserve time stamps, and work on only one file per invocation.
.LP
This command can be invoked from either DOS or UNIX.  However, the
filenames must conform to the conventions of the environment in which
the command is invoked.
.LP
Each file on the command line is converted in turn to a temporary
file, and then the original is deleted, and the temporary file renamed
to the original name.  If you interrupt the execution of this command,
then be sure to check for a file in the current directory named
.I "dos2mac.$$$"
and rename it manually, if necessary.
.\"=====================================================================
.SH SEE ALSO
.BR dos2ux (1),
.BR mac2dos (1),
.BR mac2ux (1),
.BR ux2dos (1),
.BR ux2mac (1),
.BR unix2dos (1),
.BR dos2unix (1).
.\"=====================================================================
.SH AUTHOR
.nf
Nelson H. F. Beebe
Center for Scientific Computing
University of Utah
Department of Mathematics, 105 JWB
155 S 1400 E RM 233
Salt Lake City, UT 84112-0090
USA
Email: beebe@math.utah.edu, beebe@acm.org, beebe@ieee.org (Internet)
WWW URL: http://www.math.utah.edu/~beebe
Tel: +1 801 581 5254
FAX: +1 801 581 4148
.fi
.\"=====================================================================
